Skip to Content
Create a 'translate-audio' job
post

Creates a new job that translates the audio track of a Mux Video asset to another language.

Request body params
passthrough
string

Arbitrary string stored with the job and returned in responses. Useful for correlating jobs with your own systems.

parameters.asset_id
string

The Mux asset ID of the video to translate.

parameters.to_language_code
string

BCP 47 language code for the target translation language (e.g. "es", "fr", "ja").

parameters.upload_to_mux
boolean
(default: true)

Whether to automatically upload the translated audio track to the Mux asset. Defaults to true.

post
202
https://api.mux.com/robots/v0/jobs/translate-audio
Request
(application/json)
{
  "parameters": {
    "asset_id": "mux_asset_123abc",
    "to_language_code": "es",
    "upload_to_mux": true
  }
}
Response
(application/json)
{
  "data": {
    "id": "rjob_example123",
    "workflow": "translate-audio",
    "status": "pending",
    "units_consumed": 0,
    "created_at": 1700000000,
    "updated_at": 1700000060,
    "parameters": {
      "asset_id": "mux_asset_123abc",
      "to_language_code": "es",
      "upload_to_mux": true
    }
  }
}